Authentication

auth-requestOtp

Gửi yêu cầu OTP phục vụ xác thực giao dịch. Với tài khoản 2FA loại SMS/Email, OTP sẽ được gửi về email/số điện thoại đã đăng ký. Với tài khoản 2FA loại SmartOTP, khách hàng nhận yêu cầu phê duyệt trên ứng dụng iBoard và có thể dùng `transactionId` trả về để gọi `auth/token`.

POST
/api/v3/auth/requestOtp

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

bodyobjectrequired
apiKeystringrequired

API key do SSI/FastConnect cấp.

apiSecretstringrequired

API secret tương ứng với `apiKey`.

Response Headers

X-RATELIMIT-LIMITstringoptional

Giới hạn số request trong chu kỳ.

X-RATELIMIT-REMAININGstringoptional

Số request còn lại trong chu kỳ hiện tại.

X-RATELIMIT-RESETstringoptional

Thời điểm reset giới hạn request.

Response Body

application/json

application/json

curl -X POST "https://api.ssi.com.vn/api/v3/auth/requestOtp" \  -H "Content-Type: application/json" \  -d '{    "apiKey": "string",    "apiSecret": "string"  }'

Thành công.

{
  "message": "Thành công",
  "transactionId": "f306c510-0647-417b-9210-bb5b7e155e77"
}

Request không hợp lệ.

{
  "code": 400,
  "msg": "apiKey is required"
}